#Albix 2.1 (a.k.a. PostX 0.4.4 revision) Copyright (c) 2017 JJ Posti <techtimejourney.net> 
#This program comes with ABSOLUTELY NO WARRANTY; 
#for details see: http://www.gnu.org/copyleft/gpl.html. 
#This is free software, and you are welcome to redistribute it under 
#GPL Version 2, June 1991")
#!/usr/bin/env python
from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtCore import *  
from PyQt5.QtGui import *  
from PyQt5.QtWidgets import *
import subprocess, os, sys, pygame

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s
try:
    _encoding = QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QApplication.translate(context, text, disambig)

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName(_fromUtf8("MainWindow"))
        MainWindow.resize(900, 400)
        MainWindow.setLayoutDirection(QtCore.Qt.LeftToRight)
        MainWindow.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        MainWindow.setTabShape(QTabWidget.Triangular)
        MainWindow.setUnifiedTitleAndToolBarOnMac(False)
        self.centralwidget = QWidget(MainWindow)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.verticalLayout = QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.horizontalLayout = QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))        
#Add song        
        self.Add = QPushButton(self.centralwidget)
        self.Add.setText(_fromUtf8(""))
        icon = QIcon()
        icon.addPixmap(QPixmap(_fromUtf8(":/icons/add.png")), QIcon.Normal, QIcon.Off)
        self.Add.setIcon(icon)
        self.Add.setIconSize(QtCore.QSize(32, 32))
        self.Add.setObjectName(_fromUtf8("Add"))
        self.horizontalLayout.addWidget(self.Add)
        self.Add.clicked.connect(self.dialog)

#Play song        
        self.Play = QPushButton(self.centralwidget)
        self.Play.setText(_fromUtf8(""))
        icon1 = QIcon()
        icon1.addPixmap(QPixmap(_fromUtf8(":/icons/media-playback-start.png")), QIcon.Normal, QIcon.Off)
        self.Play.setIcon(icon1)
        self.Play.setIconSize(QtCore.QSize(32, 32))
        self.Play.setObjectName(_fromUtf8("Play"))
        self.horizontalLayout.addWidget(self.Play)
        self.Play.clicked.connect(self.play)
        self.Play.clicked.connect(self.play_button)
        self.Play.setEnabled(False)
        self.Play.clicked.connect(self.play_selected)
        
#Remove Playlist items       
        self.Remove = QPushButton(self.centralwidget)
        self.Remove.setText(_fromUtf8(""))
        icon2 = QIcon()
        icon2.addPixmap(QPixmap(_fromUtf8(":/icons/editdelete.png")), QIcon.Normal, QIcon.Off)
        self.Remove.setIcon(icon2)
        self.Remove.setIconSize(QtCore.QSize(32, 32))
        self.Remove.setObjectName(_fromUtf8("Remove from playlist"))
        self.horizontalLayout.addWidget(self.Remove)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.Remove.clicked.connect(self.deleting)
        self.Remove.clicked.connect(self.stop)
        self.Remove.setEnabled(False)
        
#Song Listing        
        self.listWidget = QListWidget(self.centralwidget)
        self.listWidget.setObjectName(_fromUtf8("listwidget"))
        self.verticalLayout.addWidget(self.listWidget)
        self.horizontalLayout_2 = QHBoxLayout()
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))        
#Pause Song        
        self.Pause = QPushButton(self.centralwidget)
        self.Pause.setText(_fromUtf8(""))
        icon3 = QIcon()
        icon3.addPixmap(QPixmap(_fromUtf8(":/icons/gtk-media-pause.png")), QIcon.Normal, QIcon.Off)
        self.Pause.setIcon(icon3)
        self.Pause.setIconSize(QtCore.QSize(32, 32))
        self.Pause.setObjectName(_fromUtf8("Pause"))
        self.Pause.clicked.connect(self.paused)
        self.horizontalLayout_2.addWidget(self.Pause)                
#Stop Song        
        self.Stop = QPushButton(self.centralwidget)
        self.Stop.setText(_fromUtf8(""))
        icon4 = QIcon()
        icon4.addPixmap(QPixmap(_fromUtf8(":/icons/stock_media-stop.png")), QIcon.Normal, QIcon.Off)
        self.Stop.setIcon(icon4)
        self.Stop.setIconSize(QtCore.QSize(32, 32))
        self.Stop.setObjectName(_fromUtf8("Stop"))
        self.horizontalLayout_2.addWidget(self.Stop)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.Stop.clicked.connect(self.stop)
        self.Stop.setEnabled(False)        
#Placeholder variables
        self.Pause.setEnabled(False)
        self.Paused = False
        self.Stopped=False

#Seconds navigator        
        self.horizontalSlider = QLineEdit(self.centralwidget)
        self.horizontalSlider.setObjectName(_fromUtf8("horizontalSlider"))
        self.horizontalSlider.setPlaceholderText("Jump to time value (enter seconds)")
        self.horizontalSlider.setFixedSize(250, 30)
        MainWindow.setCentralWidget(self.centralwidget)
        self.horizontalSlider.returnPressed.connect(self.navigate)        
#Statusbar        
        self.statusbar = QStatusBar(MainWindow)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        self.statusbar.addPermanentWidget(self.horizontalSlider)
        MainWindow.setStatusBar(self.statusbar)
        self.statusbar.showMessage('Welcome to Albix 2.1. Please add some music.')        
                
        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(_translate("MainWindow", "Albix Player", None))
        self.Add.setToolTip(_translate("MainWindow", "Add to playlist", None))
        self.Play.setToolTip(_translate("MainWindow", "Play/Next song", None))
        self.Remove.setToolTip(_translate("MainWindow", "Remove from playlist", None))
        self.Pause.setToolTip(_translate("MainWindow", "Pause playback", None))
        self.Stop.setToolTip(_translate("MainWindow", "Stop playback", None))

#Add files to playlist  
    def dialog(self):
        options = QFileDialog.Options()
        options |= QFileDialog.DontUseNativeDialog
        path, _ = QFileDialog.getOpenFileNames(None,"QFileDialog.getOpenFileNames()", "","All Files (*);;Mp3 Files (*.mp3) ;;Ogg Files (*.ogg)", options=options)
        if path:
            listing=[]
            for x in path:
                listing.append(x)
                print listing
            self.listWidget.addItems(listing)
            self.pathway=listing
            self.numbers=len(listing)
            print self.numbers
            self.Remove.setEnabled(True)
            self.Play.setEnabled(True)
            self.statusbar.showMessage('Holding shift key while pressing Play activates "play only a single song mode".')        
            return self.pathway
            
#Delete Files from playlist
    def deleting(self):
        for item in self.listWidget.selectedItems():
            self.listWidget.takeItem(self.listWidget.row(item))
        self.Play.setEnabled(True)   

#Play song(s)
    def play(self,item): 
        xlist= len(self.pathway) 
        if xlist > 1:
            i= 0
            song=(self.pathway.pop(i))
            ax=os.path.basename(song)
            self.single=ax
            self.Stop.setEnabled(True)
            self.Pause.setEnabled(True)
            pygame.mixer.init()
            pygame.mixer.music.load(song)
            pygame.mixer.music.play(0,0)
            
            a = pygame.mixer.Sound(song)
            self.x=a.get_length()
            self.ls=int(self.x)
            self.marking=str(self.x)
            self.seconds_here=self.marking[0:3]
            print self.ls                        
        
        elif xlist == 1:
            i= 0
            self.Play.setEnabled(True)
            self.Pause.setEnabled(True)
            song=(self.pathway.pop(i))
            ax=os.path.basename(song)
            self.single=ax

            self.Stop.setEnabled(True)
            pygame.mixer.init()
            pygame.mixer.music.load(song)
            pygame.mixer.music.play(0,0)
            a = pygame.mixer.Sound(song)
            self.x=a.get_length()
            self.ls=int(self.x)
            self.marking=str(self.x)
            self.seconds_here=self.marking[0:3]
            print self.ls
            
            return self.single, self.ls, self.seconds_here

#Play button checks                
    def play_button(self):
        self.numbersx= len(self.pathway)        
        
        if self.numbersx >= 1:
           self.Play.setEnabled(True)
           self.statusbar.showMessage('Playing:' + self.single + '  ' + self.seconds_here + ' ' +	 'seconds')        
           
        if self.numbersx == 0:
            self.Play.setEnabled(False)
            self.statusbar.showMessage('Create new playlist after playback segment is done or play a single song.')        
            self.statusbar.showMessage('Playing:' + self.single + '  ' + self.seconds_here + ' ' +	 'seconds')        
                                        
#Pause / Unpause
    def paused(self,widget):
        if self.Paused:
            pygame.mixer.music.unpause()
            self.Paused = False
            self.statusbar.showMessage('Playing:' + self.single + '  ' + self.seconds_here + ' ' +	 'seconds')        
        else:
            pygame.mixer.music.pause()
            self.Paused = True
            self.statusbar.showMessage('Playback paused. Press pause again to continue.')

#Play selected song - shift select
    def play_selected(self):            
        if qApp.keyboardModifiers() & Qt.ShiftModifier:
            self.Play.setEnabled(True)
            x=self.listWidget.currentItem()
            value = x.text()
            value1=os.path.basename(value)
            song=str(value)
            self.Pause.setEnabled(True)
            self.Stop.setEnabled(True)
            pygame.mixer.init()
            pygame.mixer.music.load(song)
            pygame.mixer.music.play(0,0)
            a = pygame.mixer.Sound(song)
            self.x=a.get_length()
            self.ls=int(self.x)
            self.marking=str(self.x)
            self.seconds_here=self.marking[0:3]
            print self.ls
            self.statusbar.showMessage('Playing:' + value1 + '  ' + self.seconds_here + ' ' +	 'seconds')        
#Stop song
    def stop(self):
        if self.Stopped:
            self.statusbar.showMessage('')
        else:
            self.Stop.setEnabled(False)
            pygame.mixer.music.stop()
            self.Play.setEnabled(True)
            self.Pause.setEnabled(False)
            self.statusbar.showMessage('Playlist stopped. Create new or play a single song.' )        
            self.statusbar.showMessage('Holding shift key while pressing Play activates "play only this song mode".')        			

#Seconds navigator    
    def navigate(self):
        self.x=int(self.horizontalSlider.text())        
        pygame.mixer.music.play(0, self.x)            
                                            
qt_resource_data = "\
\x00\x00\x04\x8a\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x04\x73\x42\x49\x54\x08\x08\x08\x08\x7c\x08\x64\x88\
\x00\x00\x00\x09\x70\x48\x59\x73\x00\x00\x04\x9d\x00\x00\x04\x9d\
\x01\x7c\x34\x6b\xa1\x00\x00\x00\x19\x74\x45\x58\x74\x53\x6f\x66\
\x74\x77\x61\x72\x65\x00\x77\x77\x77\x2e\x69\x6e\x6b\x73\x63\x61\
\x70\x65\x2e\x6f\x72\x67\x9b\xee\x3c\x1a\x00\x00\x04\x07\x49\x44\
\x41\x54\x58\x85\xcd\x97\x5b\x6f\x54\x55\x14\xc7\x7f\x7b\x9f\x73\
\x7a\xa5\xd0\x20\xb5\xb4\x85\xda\x82\xd5\xaa\x15\x21\xa1\x2d\xc1\
\x90\x1a\x63\x64\x20\xf8\xc6\xb7\x30\x11\xdf\xc5\xc8\x37\xf0\xdd\
\xc0\xab\x44\x1f\x20\x96\x44\xc4\x17\x28\xaf\xf8\x24\x5e\xb8\x94\
\xd2\x06\xa8\x4c\x86\x96\xdb\x38\x73\x66\x66\xaf\xbd\x7c\x98\x39\
\xed\x34\xb4\xd3\x21\x71\xaa\x2b\x59\xc9\xde\x7b\xd6\xac\xff\xda\
\xeb\x76\xd6\x36\xaa\xca\x7f\x49\x61\xb2\x30\xc6\x04\x40\x53\xf5\
\x59\x83\xc8\x01\x45\x55\x15\x00\xa3\xaa\x18\x63\x9a\x81\x77\xad\
\xb5\x47\x81\x1d\x0d\x36\xe0\x9e\xf7\xfe\x22\x70\x5d\x55\x0b\xa1\
\x31\xc6\x00\xdb\xac\xb5\xc7\xbc\xf7\x3d\x40\xa3\x63\xb2\xa3\x82\
\xf5\x97\x31\x66\xde\x02\x01\xd0\x53\xe1\x8d\xa2\x04\x2f\xb0\x95\
\x83\xd6\x0d\x04\x4f\xa8\x15\xc0\xae\x27\xd5\x68\xb2\x80\x01\xac\
\xf7\x7e\xc3\x40\x2b\x58\x16\x30\x89\x07\x4c\x9d\xff\x35\xd4\xf6\
\x5a\x72\xa1\x7a\x75\x2d\x29\xab\x27\x14\xe6\xd4\xc4\xd8\xf8\xf9\
\xe3\xa9\xa3\x51\x18\xbe\xd0\x2b\xa2\x30\x0c\xcf\x1f\x4f\x1d\x39\
\x35\x31\x36\x5e\xa7\x11\x16\xca\x15\x10\x00\x03\xc0\x3b\xb5\xc0\
\xbf\x7c\x7f\x74\xfc\x44\x7f\xd7\x9e\x01\xa4\x63\x6c\xf7\x60\xf7\
\xb9\xe9\xb9\x19\x5f\xf1\x65\x14\x86\xe1\xf7\xc7\x3e\x4c\x4d\x44\
\xda\x37\xd6\xb9\xa9\xbb\x79\x73\x67\x74\xf5\xde\xfc\x83\x75\x0c\
\xf8\x03\x98\x4b\x0c\x78\xad\x86\x01\xe6\xe4\xf8\xde\xb1\x13\x7d\
\x5b\xdf\xd3\x38\x46\x9d\xd0\x6f\xb4\x63\x6c\xd7\x40\xf7\xb9\x99\
\xb9\x99\xc0\x1a\xfb\x5d\x6a\x22\x75\xc8\x4a\xaf\x3a\x87\x16\x4b\
\x8c\x6f\x69\xeb\x6e\xee\xd8\x1c\x5e\x7d\xf0\x70\xbe\x86\x01\xbf\
\x03\x73\x89\x2b\x6b\x85\xa0\xa5\xdf\x15\xb7\xbb\x6c\x6e\x85\x5f\
\x0f\x1a\xdb\x7b\xf6\xa3\x43\x29\x80\x83\x52\xec\x15\xb7\x9c\xc4\
\x5a\x28\xd1\xef\x8a\xdb\x81\x16\x20\xbf\x86\xde\x15\x21\x18\x04\
\xde\x5e\x43\x50\x7e\x4c\x67\xd2\x83\x51\xf4\xea\x50\x4b\x53\xbb\
\x8a\xa0\x22\xa8\x73\xec\xf4\xd2\xb1\x53\x5c\x87\xba\x12\xc9\xb9\
\x17\xe1\x87\xf9\x4c\xe6\xd3\xdf\x6e\x4d\xa9\x92\xad\x71\xb1\x3f\
\x81\xd9\xc4\x80\x5d\xc0\x5b\x6b\x49\xaa\x52\xf8\x29\xf3\x38\x3d\
\xd8\x14\x75\x0d\x35\x37\xb5\xab\x78\x54\x3c\xea\xa4\xcc\x95\xbd\
\x17\xcf\x64\x7a\x31\xf3\xd9\x8d\xd9\x29\x51\x9e\x50\xbb\xad\xdf\
\x00\xee\x26\x06\xec\x06\x86\x6b\x08\xa3\x10\x5f\x5a\x78\x9a\x1e\
\x88\x82\xae\xa1\x28\x5a\xf6\x44\x15\x4f\x3e\x5a\xcc\x7c\x3e\x7d\
\x7f\x4a\xe0\xf1\x3a\xe0\x00\x37\x81\x99\x24\x07\xea\x29\x1b\xb5\
\xd6\x3e\xdf\xd2\xb9\xd5\x49\x31\x5e\x55\x60\x4b\xe7\x56\x67\xed\
\xc3\xe7\xe2\x7d\x3d\x1f\xb4\xa5\x3e\x50\x57\xe3\x88\xac\x0d\xcf\
\xec\x1b\x39\x7c\x20\x97\xed\x91\x42\x91\xd5\xf8\x40\x2e\xdb\x73\
\x66\xdf\xc8\xe1\xc8\xda\x7a\x67\x8a\xfa\x3a\x61\x64\x6d\x78\x7a\
\x64\x38\xb5\x7f\x71\xa1\x57\xf2\x05\xa4\x50\x42\x0a\x25\x5c\x85\
\x93\xbd\xe4\x0b\xec\x5f\x5c\xe8\x3d\x3d\x32\x9c\xaa\xc3\x08\x03\
\xcb\x55\xf0\x46\x85\x57\xa3\xe0\x9b\xe1\xa1\x23\xa3\x8f\x17\x7a\
\xb5\xb4\x32\xdb\x2f\x66\xf3\x99\xdb\x71\x31\xb7\xcb\xb0\xa2\x3a\
\x7a\xf2\xf9\x8e\xbd\x7d\x7d\xdd\x93\x8f\x16\xee\xb0\x76\x2e\x4c\
\x03\xd3\xf5\xe4\x40\x74\xf9\xee\x6c\x76\x5f\x6b\x0b\x41\xe5\x40\
\x81\x4b\x25\x97\xf9\x22\x9b\xbb\x02\xe0\xa5\xed\x83\xc3\x51\xd8\
\x95\x28\x11\xe0\xf2\xe2\x6c\x16\x88\x2a\xdb\x75\x3d\x30\x54\xe1\
\xd5\xc8\x5d\x77\xf2\x28\x2b\xd2\x3c\xaa\xfa\x8a\x8a\x70\xa9\x58\
\xcc\x9c\xcc\x17\xa6\x04\x9e\x28\xc4\x97\x8b\xa5\xf4\x4e\xf5\x5d\
\x83\x5e\xdb\x9d\x08\x5f\xc7\x85\x5b\xdf\x16\x4b\xbf\x00\xb9\x1a\
\x17\xbb\x0d\x4c\x27\x06\xbc\x09\xbc\x5e\x43\xb8\x78\xdd\xfb\x4c\
\xd6\x49\xcb\x53\xf1\xf2\x95\x93\xab\xd5\xa5\xa6\x10\x5f\x11\x9f\
\xde\x21\x7e\xdb\x85\x92\x7b\x70\x56\xfc\x35\xe0\xef\x1a\xfa\x00\
\xee\x00\xb7\x0d\xe5\x49\xf8\x13\x6b\xed\xc7\x75\xcc\x04\xed\x94\
\xa7\xe6\x67\xbc\x18\x5b\x03\x6c\xa6\x3c\xf5\xd6\x04\xb7\xd6\xe2\
\xbd\xff\x19\xb8\xf0\xb2\x23\x78\x2d\xc5\x0a\x3c\x7d\x49\x7d\x54\
\x97\x61\xbd\x83\xc4\xbf\x41\x4b\x78\x4b\x23\x59\x79\x3a\xdf\x20\
\x74\xb3\x8c\xfd\xbf\x18\x4a\x15\x88\xad\xb5\xab\x37\xf8\x46\x80\
\x96\xb1\x62\x40\x43\xca\x59\x7b\x53\x44\x0e\xb6\xb5\xb5\x35\x19\
\x63\xc2\x30\x2c\x3f\x98\x82\x20\x30\xd6\x5a\x82\x20\x30\xd5\xeb\
\xaa\xdf\x0c\x80\xf7\x5e\x45\x44\x55\x15\x11\x51\xef\x3d\x22\xa2\
\xd5\x6b\x55\xc5\x39\xa7\xaa\xea\xe2\x38\xce\x51\xfe\x1a\xba\xe4\
\x6d\xb8\x09\xd8\x03\x8c\xd2\xf8\xb7\xe1\x7d\xe0\x1a\xf0\xab\xaa\
\x66\x4d\xf2\x3c\x37\xc6\x44\x40\x1b\xd0\xdc\x60\x03\x0a\x40\x4e\
\x55\x4b\x00\xff\x00\x94\xc9\x0e\x53\xe3\x6f\x31\xd5\x00\x00\x00\
\x00\x49\x45\x4e\x44\xae\x42\x60\x82\
\x00\x00\x06\x73\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x04\x73\x42\x49\x54\x08\x08\x08\x08\x7c\x08\x64\x88\
\x00\x00\x00\x09\x70\x48\x59\x73\x00\x00\x04\x9d\x00\x00\x04\x9d\
\x01\x7c\x34\x6b\xa1\x00\x00\x00\x19\x74\x45\x58\x74\x53\x6f\x66\
\x74\x77\x61\x72\x65\x00\x77\x77\x77\x2e\x69\x6e\x6b\x73\x63\x61\
\x70\x65\x2e\x6f\x72\x67\x9b\xee\x3c\x1a\x00\x00\x05\xf0\x49\x44\
\x41\x54\x58\x85\xc5\x57\xbb\x6e\x1b\xdb\x15\x5d\xeb\x3c\x38\x24\
\x87\x96\x2c\x09\x11\x0c\x3b\xea\xe3\x26\x85\x80\x0b\xa5\x73\xe5\
\x1f\xd0\x5f\xe4\x03\xee\x3f\xdc\xaf\x48\x97\xca\xb0\x4b\xbb\x34\
\x60\x18\x69\xd2\x04\x31\x60\x17\x2a\x5c\xd8\x06\x02\x51\x84\x04\
\xc9\x1a\x72\xe6\x3c\x76\x0a\x9d\x7d\x32\x94\x6f\x6b\x64\x00\x82\
\x83\x19\x9e\x73\xd6\x5e\x6b\xed\x07\x29\x22\xf8\x7f\x5e\x4e\x6f\
\x48\x5a\x00\x93\xf1\xb3\x9f\x74\x45\x00\x83\x88\xa4\x0a\x80\x64\
\xf3\xe6\xcd\x9b\xbf\x3e\x7d\xfa\xf4\x57\x92\x7b\x00\x90\x52\x12\
\x63\x0c\x72\xce\xd0\xef\xf2\x1c\x21\x04\xa6\x94\x30\x0c\x03\x01\
\x08\x49\x02\x80\x31\x46\x44\x84\x7a\x92\x31\x46\x6f\xc5\x39\x07\
\xef\xbd\x84\x10\x2e\x3e\x7e\xfc\xf8\x1b\xc9\xbf\x89\x48\x4f\x00\
\x04\xf0\xe8\xec\xec\xec\x5f\x21\x84\x1d\x92\xb2\x5e\xaf\x45\x44\
\x90\x73\x96\x94\x12\xca\xfe\x10\x11\x88\x08\xfa\xbe\xc7\x7a\xbd\
\xe6\x66\xb3\x51\xf6\xb6\x42\x34\xc6\x80\x24\x74\x6d\xd3\x34\xf0\
\xde\xc3\x39\x27\xce\x39\x38\xe7\x56\x27\x27\x27\x7f\x01\xf0\x1f\
\x07\xc0\x02\x78\x3c\x9b\xcd\xf6\xac\xb5\xd2\xf7\xbd\x38\xe7\x24\
\x84\x20\x00\x6a\xe4\x1a\x49\x4a\x89\x39\x67\xe4\x9c\x91\x52\xa2\
\x88\x80\x24\x8c\x31\x15\xa0\xb5\x16\x31\x46\x78\xef\xf5\x9d\x14\
\x90\x24\x09\xef\xfd\x1f\x00\x3c\x06\xb0\x54\xbd\xe7\xde\x7b\x93\
\x52\xca\x93\xc9\x04\x39\x67\x90\xc4\xed\xed\x2d\xac\xb5\x32\x0c\
\x83\x46\xc9\xc2\x8c\x02\x80\x02\xd0\xfb\x31\xe8\x18\x23\xa6\xd3\
\xa9\x28\x40\x5d\x53\xde\xcf\xab\x07\x94\x5e\xef\x3d\xad\xb5\xb0\
\xd6\xa2\xeb\x3a\x34\x4d\x83\xbe\xef\x91\x73\x16\x6b\xad\xe4\x9c\
\xa9\xbf\xd5\xcd\x52\x4a\x3f\x50\xaf\x40\x0a\xdd\xd5\x3b\xde\x7b\
\xc4\x18\xb7\xd6\xb8\xe2\x01\x23\x65\x95\x73\x8e\xd6\x5a\x35\x57\
\xd6\x43\xfa\xbe\x07\xc9\x6a\x32\x11\xa9\xd1\x8c\x23\x27\x89\x9c\
\x33\xda\xb6\x85\xf7\x5e\x48\x56\x89\x62\x8c\x95\x2d\x00\x06\x00\
\x95\x01\xaa\x7e\x45\x43\xce\x66\x33\x96\x68\x44\x44\x72\x8c\x51\
\x42\x08\x24\x29\x39\x67\x2a\x00\xdd\x54\x0f\x56\x06\xad\xb5\x62\
\xad\x45\x4a\x09\xc6\x98\xb1\x5c\xca\x24\xc7\x12\x98\x11\x75\x14\
\x11\x18\x63\x30\x9f\xcf\x8d\xb5\x56\x48\x22\x84\x80\x10\x82\x28\
\x7d\x24\xa9\x86\x54\x1f\xe8\xba\xe9\x74\x2a\x2a\xa7\x3e\x2f\x69\
\xcd\x9c\x33\x0b\x00\x33\x06\xc0\x62\x8c\x9a\x4f\xba\xd9\x6c\x36\
\x33\xc6\x18\x8a\x08\x5e\xbc\x78\xc1\xf3\xf3\x73\x01\x80\xe7\xcf\
\x9f\x27\x11\x41\x08\x01\x37\x37\x37\x78\xff\xfe\xbd\x23\x89\xfd\
\xfd\x7d\x39\x3d\x3d\x8d\xc6\x18\x19\x81\xa3\x9e\x61\xad\xad\x81\
\x6e\x99\x50\x0f\xd5\xcf\x38\xb7\xa7\xd3\x29\xdf\xbd\x7b\xe7\x5e\
\xbd\x7a\x65\xb4\xb8\x5c\x5c\x5c\xc4\xd3\xd3\xd3\x18\x63\xc4\xeb\
\xd7\xaf\xfd\x97\x2f\x5f\xac\xfa\xe0\xf0\xf0\x30\x3f\x7b\xf6\x2c\
\x29\x00\x35\xa7\xb5\x16\xc6\x18\x3a\xe7\xea\xe6\x55\x82\x42\x2b\
\xc6\xdf\x2a\x47\x31\x11\x9b\xa6\xa9\xef\x8a\x51\xab\xc6\x93\xc9\
\xa4\x06\xa1\x69\x4a\x92\xde\x7b\x58\x6b\x59\x32\x82\xa5\x22\xfe\
\x28\xc1\xb8\x29\xdd\xd7\x54\x4d\x56\x22\x50\x00\x70\xce\x49\x4a\
\x89\xc6\x98\x9a\x6e\x39\x67\x38\xe7\xd8\x34\x8d\x99\x4e\xa7\xf0\
\xde\xd3\x7b\x4f\xe7\x1c\x8c\x31\x15\xcc\x7d\x09\x28\x22\x14\x11\
\x38\xe7\x54\x86\x9a\x6e\x0a\xc4\x7b\x5f\x01\xec\xec\xec\x50\x4d\
\x35\x9b\xcd\xe0\xbd\xaf\x00\xf6\xf7\xf7\xed\x93\x27\x4f\x68\xad\
\x65\x79\x4e\x0d\x02\x80\x18\x63\x7e\xcc\x82\x7b\xd1\x6f\x15\x77\
\x65\x67\x0c\xa0\x6d\x5b\x73\x7c\x7c\xec\xce\xce\xce\xd2\x87\x0f\
\x1f\x78\x7e\x7e\x3e\x06\x60\x0e\x0f\x0f\xeb\x36\xea\x85\x18\xe3\
\xb8\x59\x99\xf1\xc1\xd4\xae\x37\xbe\x34\xb7\x75\x03\xad\x6c\xce\
\x39\x6c\x36\x9b\xfc\xe9\xd3\xa7\x74\x7c\x7c\xec\x76\x76\x76\xcc\
\xf8\x9d\x73\x0e\xd6\xda\xad\x00\xc6\x3d\xa5\xa4\x72\x65\x80\x00\
\x30\x0c\x83\x00\x60\xa9\xd9\x19\x00\x63\x8c\x92\x73\xc6\x30\x0c\
\xb2\x5a\xad\xe8\xbd\x77\x0a\xf2\xfa\xfa\x5a\x56\xab\x95\xbc\x7d\
\xfb\x36\x0c\xc3\x60\x8a\xb1\x6a\x35\x54\xe9\xf4\xca\x39\xcb\xb8\
\x7a\x6a\x8c\xd5\x03\xdf\xbf\x7f\x97\x10\x82\x14\xaa\x10\x63\xcc\
\x9b\xcd\x06\x21\x04\x59\xaf\xd7\xb2\x5a\xad\xec\x58\x02\xe7\x1c\
\x6e\x6f\x6f\x11\x63\xc4\xcd\xcd\x4d\xf6\xde\xd7\x34\x1c\xcb\x36\
\x2e\xd7\xca\xc4\xef\xd5\x01\xbb\x5c\x2e\x91\x73\x96\x18\x23\x86\
\x61\x40\x4a\x49\x42\x08\x18\x86\x01\x39\x67\x84\x10\x6a\x99\x05\
\xee\xb2\xa0\xef\x7b\x03\x40\x7b\x48\x3d\x50\x5b\xb3\x1e\x56\xbe\
\x99\x52\x92\x11\x33\x76\x0c\x80\x57\x57\x57\x59\x17\xf4\x7d\x8f\
\xf1\x8f\x43\x08\x54\x5d\x47\x26\xd4\x06\x85\xc5\x62\x81\xeb\xeb\
\xeb\x4a\x77\xdb\xb6\x95\x81\xf1\xb7\x7e\xee\x7b\x00\x00\xd0\x75\
\x1d\x54\x82\x62\x3e\x8a\x08\xba\xae\x43\x8c\x11\x8f\x1e\x3d\xca\
\x07\x07\x07\x51\xd3\x69\xb1\x58\xe4\x6f\xdf\xbe\x61\x18\x06\x9e\
\x9c\x9c\xc4\xab\xab\x2b\x21\x89\x87\x0f\x1f\xf2\xe8\xe8\x48\xba\
\xae\x63\xd3\x34\xbc\x4f\xfd\x3d\x0f\xfc\x2f\x0d\xbb\xae\x83\xd6\
\x7c\xed\xf5\x9b\xcd\x66\x4b\xbb\xb6\x6d\x93\x73\x4e\x8a\x09\x59\
\x68\xc5\xed\xed\x2d\x16\x8b\x85\x82\xe3\xd7\xaf\x5f\x19\x42\x30\
\x07\x07\x07\x98\xcf\xe7\x3f\x80\x28\x00\xb6\x2a\xa1\x01\x80\x32\
\x86\xb1\x48\x50\xf5\xcc\x39\xa3\x69\x1a\xe0\x6e\x24\xab\x32\x69\
\x24\xc3\x30\xd4\x42\x94\x52\x92\xcb\xcb\x4b\x00\xc8\x31\x46\xb3\
\xb7\xb7\x87\xb6\x6d\x99\x73\x16\x4d\xe9\xdf\x03\x80\x18\x23\x53\
\x4a\x2c\x19\xb0\xd5\xe3\x4b\xa9\x15\xad\x96\x3a\x0f\x6a\xa1\x29\
\x6b\xef\xcc\x54\x46\xb9\xa2\xbb\x84\x10\xb0\xbb\xbb\x8b\x07\x0f\
\x1e\x68\x9a\x4a\x8c\xf1\x07\x09\x58\xfa\x3d\x62\x8c\x75\x7a\x19\
\x15\x1f\x1d\x98\x90\x73\x46\x8c\x91\xfa\x5e\x19\x88\x31\x8e\x5b\
\xad\x82\x10\x6d\xd9\xc3\x30\xa0\x6d\xdb\x71\xb1\xdb\x2a\x44\x66\
\xbd\x5e\xd7\x97\xca\x80\x31\xa6\x3e\x1b\x0f\x9d\x25\x4d\xab\xbb\
\xcb\x64\xc4\x9c\xb3\x68\x0a\xe2\x2e\x3d\xa9\xa3\xbd\x4e\x54\x4d\
\xd3\x68\x7f\xd8\x1a\xc9\x60\xad\x45\x08\x61\x6b\xb0\x2c\x13\x8d\
\x8c\x4d\xa4\x2c\xdc\xef\x9e\x3a\x86\x8f\x7d\x13\x42\x10\xea\x06\
\x77\xde\x92\xdd\xdd\x5d\x4c\xa7\xd3\x2d\x09\x04\xc0\xe6\xf2\xf2\
\xf2\xa6\x6d\xdb\x07\x1a\xbd\xea\x39\x76\xaf\xa6\x67\xdf\xf7\x5b\
\xa5\x56\x67\xc3\x92\x45\xa2\x52\x28\xfd\x24\xb1\x5c\x2e\x65\x6f\
\x6f\x8f\x97\x97\x97\xd2\x75\x5d\x07\x60\x03\x40\x6c\x01\x20\xd7\
\xd7\xd7\x7f\x3a\x3a\x3a\x7a\x3c\x9f\xcf\xbd\xb5\x16\x4d\xd3\xa8\
\xf9\xea\xa4\x3c\x99\x4c\x68\x8c\xa9\xf7\x6d\xdb\x72\x36\x9b\xb1\
\x69\x1a\xce\x66\x33\x4e\xa7\x53\x96\x7f\x40\xb4\xd6\x92\x24\x9d\
\x73\x3a\x23\x20\xa5\x84\xe5\x72\xb9\x7e\xf9\xf2\xe5\x3f\x3e\x7f\
\xfe\xfc\x77\x00\x17\x3a\xf1\x2c\x00\xfc\x19\xc0\x2f\x00\xfe\x88\
\x9f\x7b\x7d\x05\xf0\x4f\x00\xff\x16\x91\xef\x75\x12\x22\xe9\x71\
\xf7\x6f\xa5\xf9\xc9\x00\x7a\x00\x9d\x88\x04\x00\xf8\x2f\xac\x52\
\x01\x9f\x07\x44\x0b\xbd\x00\x00\x00\x00\x49\x45\x4e\x44\xae\x42\
\x60\x82\
\x00\x00\x03\x06\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x04\x73\x42\x49\x54\x08\x08\x08\x08\x7c\x08\x64\x88\
\x00\x00\x00\x09\x70\x48\x59\x73\x00\x00\x04\x9d\x00\x00\x04\x9d\
\x01\x7c\x34\x6b\xa1\x00\x00\x00\x19\x74\x45\x58\x74\x53\x6f\x66\
\x74\x77\x61\x72\x65\x00\x77\x77\x77\x2e\x69\x6e\x6b\x73\x63\x61\
\x70\x65\x2e\x6f\x72\x67\x9b\xee\x3c\x1a\x00\x00\x02\x83\x49\x44\
\x41\x54\x58\x85\xcd\x97\xbf\x6e\x13\x41\x10\xc6\x7f\xb3\xe7\x38\
\xf2\x29\xa2\x82\xc2\x52\x5e\x01\x68\x80\x02\x89\x06\x89\x06\x21\
\x9a\x14\x08\xde\x20\x4a\x93\x47\x49\x91\x34\x79\x01\x44\x19\x1a\
\x0a\xa4\x08\x09\xd1\x90\x0a\xa8\xa2\x94\x20\x40\x8a\x2d\x45\x96\
\x71\xec\xdb\xdb\x1d\x8a\xbb\x33\xe7\xf3\xf9\xcf\x99\xd8\xf0\x49\
\x77\xda\x9d\xdb\xdd\xef\xbb\x9d\x9d\xdd\x59\x51\x55\xfe\x25\x6a\
\x59\x41\x44\x02\xa0\x9e\xb7\x2d\x09\x31\x10\xa9\xaa\x03\x10\x55\
\x45\x44\xd6\x81\x9b\xc6\x98\xc7\xc0\xe6\x92\x05\x7c\xf5\xde\xbf\
\x01\xbe\xa8\xea\xa0\x26\x22\x02\x5c\x37\xc6\x3c\xf1\xde\x37\x81\
\x65\xfb\x64\x33\xe5\xfa\x21\x22\xdf\x0d\x10\x00\xcd\xf4\x59\x15\
\x32\xbe\xc0\xa4\x86\xc6\x0a\xc9\x33\x34\x00\xcc\xac\x56\xcb\x86\
\x01\x04\x30\xde\xfb\x95\x91\xa6\x5c\x06\x90\x2c\xe4\xa4\xe2\x18\
\x6b\x87\x87\x87\xf7\xb2\x8a\x73\xce\x6f\x6f\x6f\x9f\x90\x84\xd8\
\xbc\x90\xec\xb5\x06\x3c\x00\x9e\x55\xe8\xbc\xd1\x6a\xb5\x5e\x64\
\x15\x6b\xad\x6f\x36\x9b\x2f\x81\x5f\x15\xc6\x78\x05\xbc\x5f\x74\
\x06\xc4\x5a\x3b\xac\xe4\xcb\x55\xc6\x80\xbf\xd8\xf5\xae\x40\x00\
\x79\x01\x95\xa3\x21\x8e\xe3\xd2\x72\x05\x98\xbc\x80\x69\x2e\x30\
\xb9\xef\xc3\x76\x25\x33\x20\x8c\xcf\xa8\x4f\x9f\x32\x8c\xb8\x60\
\xa2\x80\x9d\x9d\x9d\x3b\xbb\xbb\xbb\xb7\x8b\xf6\xc1\x60\x30\x22\
\xf2\xec\xec\xec\x79\xb1\xcd\xde\xde\xde\xa7\x83\x83\x83\x8f\xf3\
\x08\x98\xe8\x82\x76\xbb\xad\xdd\x6e\x77\xe6\x22\xb5\xd6\x8e\xb5\
\x69\xb7\xdb\xd3\xce\x95\xf9\x5c\xa0\xaa\x8b\xfa\x98\x19\xb9\xc6\
\x70\x06\xa6\xfe\x9d\xb5\x56\x3a\x9d\xce\x98\xbd\xd1\x18\x3d\x3e\
\x2e\x2f\x2f\x4b\xfb\xce\xd0\x28\x42\x92\x84\x3c\x02\x9e\x96\xb5\
\xa8\xd7\xeb\x37\xc2\x30\xbc\x56\xec\x78\x74\x74\xf4\x30\xab\xc4\
\x71\xec\xb7\xb6\xb6\xde\x51\x38\xca\x7b\xbd\x5e\x27\x8a\xa2\xf3\
\x09\xe4\xaf\x81\xb7\x99\x0b\x82\x49\x12\xa3\x28\x3a\x8f\xa2\xa8\
\x55\x30\x6f\xe4\xa3\x20\x8e\x63\x2e\x2e\x2e\x7e\x32\xbe\x13\x4e\
\xf3\x41\x00\xf3\x85\x61\xe9\x40\x25\xfb\x80\xce\x20\x2c\xe2\xea\
\x76\xc2\x45\x17\x69\x5e\x40\xe5\x9d\xf0\x0a\x04\x8c\x84\xa1\x31\
\xc6\x50\x21\x27\xf0\xfb\xfb\xfb\xa7\xc3\x8a\xf7\x95\xf2\xc8\x94\
\x6b\x44\x40\x55\xf4\x8e\x8f\x8f\x3f\x14\x6c\x6e\x91\x81\xf2\x8b\
\x50\x98\x7f\x11\x29\xd5\x92\x8f\x22\x32\xbe\x3f\x29\x59\x92\x9d\
\xaf\x06\x29\x97\x01\xe4\xbf\x48\x4a\x15\xe8\x1b\x63\xfa\x2b\x23\
\x4d\xb8\xfa\x80\xd6\x48\x7c\x79\xea\x9c\xbb\x1f\x86\x61\x5d\x44\
\x6a\xb5\x5a\x72\x61\x0a\x82\x40\x8c\x31\x04\x41\x20\xf9\x72\xee\
\x9b\x40\x12\x05\xce\x39\x55\x55\x9c\x73\xea\xbd\xc7\x39\xa7\xf9\
\x72\x7a\xa8\xa9\xaa\xc6\xfd\x7e\xbf\x07\x9c\x02\x71\x76\x37\xdc\
\x00\x6e\x01\x77\x59\xfe\xdd\xf0\x1b\x70\x02\x7c\x56\xd5\xae\x64\
\x47\xa6\x88\xac\x01\x21\xb0\xbe\x64\x01\x03\xa0\xa7\xaa\x16\xe0\
\x37\x43\x60\x24\x77\xe3\xc9\x51\x68\x00\x00\x00\x00\x49\x45\x4e\
\x44\xae\x42\x60\x82\
\x00\x00\x05\xe9\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x04\x73\x42\x49\x54\x08\x08\x08\x08\x7c\x08\x64\x88\
\x00\x00\x00\x09\x70\x48\x59\x73\x00\x00\x04\x9d\x00\x00\x04\x9d\
\x01\x7c\x34\x6b\xa1\x00\x00\x00\x19\x74\x45\x58\x74\x53\x6f\x66\
\x74\x77\x61\x72\x65\x00\x77\x77\x77\x2e\x69\x6e\x6b\x73\x63\x61\
\x70\x65\x2e\x6f\x72\x67\x9b\xee\x3c\x1a\x00\x00\x05\x66\x49\x44\
\x41\x54\x58\x85\xc5\x57\xbb\x8e\x14\x47\x14\x3d\xa7\x1e\x5b\x3d\
\xd3\x8b\x57\xcd\xca\x60\xc0\x10\x9b\xc4\x99\x85\x33\x3e\x82\xaf\
\xf0\x07\xf8\x1f\xfc\x15\xce\x9c\x20\x41\x4a\x4c\xe2\xc4\x89\xe5\
\x80\x84\x80\x64\x03\x8b\xf1\x6a\xd0\x7a\xa7\x67\xba\xeb\x71\x1d\
\x6c\xdd\x76\xcf\x2c\xc2\x9b\x20\x97\xd4\xea\x56\xf7\x54\xd5\xb9\
\xe7\x9c\x7b\xeb\x0e\x45\x04\xff\xe7\x70\xfa\x40\xd2\x02\x38\x9a\
\xbf\xfb\x4c\x23\x01\x18\x45\x24\x4f\x00\x48\x86\x57\xaf\x5e\xfd\
\xf0\xf8\xf1\xe3\x1f\x49\x76\x00\x90\x73\x16\x63\x0c\x4a\x29\xd0\
\x7b\x7d\x8f\x18\x23\x73\xce\x18\xc7\x91\x00\x84\x24\x01\xc0\x18\
\x23\x22\x42\xdd\xc9\x18\xa3\x8f\xe2\x9c\x83\xf7\x5e\x62\x8c\x7f\
\xbd\x79\xf3\xe6\x27\x92\x3f\x8b\xc8\x40\x00\x04\xf0\xd5\xdb\xb7\
\x6f\x7f\x8f\x31\x7e\x41\x52\xb6\xdb\xad\x88\x08\x4a\x29\x92\x73\
\x46\x5d\x1f\x22\x02\x11\xc1\x30\x0c\xd8\x6e\xb7\xdc\xed\x76\xca\
\xde\x5e\x88\xc6\x18\x90\x84\xce\x0d\x21\xc0\x7b\x0f\xe7\x9c\x38\
\xe7\xe0\x9c\x3b\x7f\xf2\xe4\xc9\xf7\x00\xfe\x74\x00\x2c\x80\xfb\
\x8b\xc5\xa2\xb3\xd6\xca\x30\x0c\xe2\x9c\x93\x18\xa3\x00\x98\x22\
\xd7\x48\x72\xce\x2c\xa5\xa0\x94\x82\x9c\x33\x45\x04\x24\x61\x8c\
\x99\x00\x5a\x6b\x91\x52\x82\xf7\x5e\xbf\x49\x05\x49\x92\xf0\xde\
\x7f\x09\xe0\x3e\x80\x95\xea\xbd\xf4\xde\x9b\x9c\x73\x39\x3a\x3a\
\x42\x29\x05\x24\xb1\xd9\x6c\x60\xad\x95\x71\x1c\x35\x4a\x56\x66\
\x14\x00\x14\x80\x3e\xcf\x41\xa7\x94\xd0\x34\x8d\x28\x40\x9d\x53\
\xbf\x2f\x27\x0f\x28\xbd\xde\x7b\x5a\x6b\x61\xad\x45\xdf\xf7\x08\
\x21\x60\x18\x06\x94\x52\xc4\x5a\x2b\xa5\x14\xea\x6f\x75\xb1\x9c\
\xf3\x35\xea\x15\x48\xa5\x7b\xf2\x8e\xf7\x1e\x29\xa5\xbd\x39\xae\
\x7a\xc0\x48\x9d\xe5\x9c\xa3\xb5\x56\xcd\x55\x74\x93\x61\x18\x40\
\x72\x32\x99\x88\x4c\xd1\xcc\x23\x27\x89\x52\x0a\xda\xb6\x85\xf7\
\x5e\x48\x4e\x12\xa5\x94\x26\xb6\x00\x18\x00\x54\x06\xa8\xfa\x55\
\x0d\xb9\x58\x2c\x58\xa3\x11\x11\x29\x29\x25\x89\x31\x92\xa4\x94\
\x52\xa8\x00\x74\x51\xdd\x58\x19\xb4\xd6\x8a\xb5\x16\x39\x67\x18\
\x63\xe6\x72\x29\x93\x9c\x4b\x60\x66\xd4\x51\x44\x60\x8c\xc1\x72\
\xb9\x34\xd6\x5a\x21\x89\x18\x23\x62\x8c\xa2\xf4\x91\xa4\x1a\x52\
\x7d\xa0\xf3\x9a\xa6\x11\x95\x53\xdf\xd7\xb4\x66\x29\x85\x15\x80\
\x99\x03\x60\x35\xc6\x94\x4f\xba\xd8\x62\xb1\x30\xc6\x18\x8a\x08\
\x9e\x3f\x7f\xce\xf7\xef\xdf\x4b\xd5\x94\xdb\xed\x96\xf3\x2c\x21\
\x89\xae\xeb\xe4\xd9\xb3\x67\xc9\x18\x23\x33\x70\xd4\x3d\xac\xb5\
\x53\xa0\x7b\x26\xd4\x4d\xf5\x9a\xe7\x76\xd3\x34\x7c\xfd\xfa\xb5\
\x7b\xf9\xf2\xa5\xb1\xd6\xe2\x53\x23\xe7\x8c\xbb\x77\xef\x96\xa7\
\x4f\x9f\x66\x05\xa0\xe6\xb4\xd6\xc2\x18\x43\xe7\xdc\xb4\xf8\x24\
\x81\x46\x30\xbf\xab\x1c\x55\x63\x36\x4d\x73\xad\xe8\x1c\x8e\xb9\
\x39\x49\xd2\x7b\x0f\x6b\x2d\x6b\x46\xb0\x56\xc4\xeb\x12\xcc\x0f\
\xa5\x43\x4d\xd5\x64\xce\xb9\x1b\x01\x70\xce\x31\x84\x60\x9a\xa6\
\x81\xf7\x9e\xde\x7b\x3a\xe7\x60\x8c\x99\xc0\xe0\x40\x02\x8a\x08\
\xeb\x64\x95\x61\x4a\x37\xad\x6e\x7a\x7d\x6a\xe4\x9c\x71\xfb\xf6\
\x6d\xfb\xe0\xc1\x03\x5a\x6b\xe9\xbd\xaf\xa4\x52\xc1\x8b\x31\xe6\
\x7a\x16\x1c\x44\xbf\x17\xa6\xb2\x53\xe9\xfc\x24\x00\x63\x0c\xba\
\xae\x33\x77\xee\xdc\x99\x96\x51\x2f\xa4\x94\xe6\x87\xd5\xf5\x2c\
\x38\x5c\x5c\x73\x5b\xe5\x70\xce\xfd\x27\x80\x5a\xeb\x61\xad\x9d\
\x4a\xb2\x56\xce\x39\x4b\x73\x06\x08\x00\xe3\x38\x0a\x00\xd6\x9a\
\x5d\x00\x30\xa5\x24\xa5\x14\x8c\xe3\x28\xe7\xe7\xe7\xf4\xde\xbb\
\x9b\x30\xa0\x80\xe7\xbe\x2a\xa5\xc8\xdc\xa0\x8a\x77\x62\xe0\xf2\
\xf2\x52\x62\x8c\x52\xa9\x42\x4a\xa9\xec\x76\x3b\xc4\x18\x65\xbb\
\xdd\xca\xf9\xf9\xb9\xbd\xa9\x04\x1a\xb5\x46\xab\x12\x28\x13\x1f\
\xab\x03\x76\xb5\x5a\xa1\x94\x22\x29\x25\x8c\xe3\x88\x9c\xb3\xc4\
\x18\x31\x8e\x23\x4a\x29\x88\x31\xde\x58\x02\x3d\x9a\x75\xb3\x7a\
\x67\xce\x59\x66\xcc\xd8\x39\x00\x7e\xf8\xf0\xa1\xe8\x84\x61\x18\
\x30\xff\x71\x8c\x71\x4a\xa3\x59\x97\xf3\xd1\x21\x22\x68\xdb\x76\
\x62\x60\x7e\xd7\xeb\xd0\x03\x00\x80\xbe\xef\xa1\x12\x54\xf3\x51\
\x44\xd0\xf7\x3d\x52\x4a\xb8\x77\xef\x5e\x39\x3d\x3d\x4d\xea\xec\
\x9c\x33\x36\x9b\x0d\x8d\x31\x38\x3e\x3e\x16\x8d\xbe\xeb\x3a\x3e\
\x7a\xf4\x48\xfa\xbe\x67\x08\x81\x87\xd4\x1f\x78\xe0\xdf\x34\xec\
\xfb\x1e\x5a\xf3\xf5\xac\xdf\xed\x76\x7b\xda\x1d\x1f\x1f\x67\xe7\
\x9c\x00\xc0\xc5\xc5\x05\x51\x0b\x58\x08\x41\x42\x08\xda\x78\xf0\
\xec\xec\x8c\x31\x46\x73\x7a\x7a\x8a\xe5\x72\x79\x0d\x44\x05\xb0\
\x97\x86\x06\x00\x6a\x1b\xc6\x2a\xc1\x74\x94\x96\x52\x10\x42\x00\
\xae\x5a\xb2\x49\x26\x8d\x64\x1c\x47\xd4\x82\x83\x9c\xb3\xac\xd7\
\x6b\x00\x28\x29\x25\xd3\x75\x1d\xda\xb6\x65\x29\x45\xb4\x93\xfa\
\x18\x00\xa4\x94\x98\x73\x66\xcd\x80\xbd\x33\xde\x18\x03\xe7\x9c\
\x68\xb5\xd4\x7e\x50\xe5\xa8\x73\x27\x13\x6e\x36\x1b\xd5\x5d\x62\
\x8c\x38\x39\x39\xc1\xad\x5b\xb7\x08\x60\x32\xfa\xa1\x04\xac\xe7\
\x3d\x52\x4a\x53\xf7\xa2\xc5\xa7\x6e\x8e\xba\x00\x52\x4a\xd4\xef\
\xca\x40\x4a\x69\x7e\xd4\x2a\x08\xa9\x26\xc6\x38\x8e\x68\xdb\x76\
\x6e\xe2\xbd\x42\x64\xb6\xdb\xed\xf4\x51\x19\x98\xbb\x7e\xde\x74\
\xd6\x34\x9d\xdc\x5d\x3b\x23\x96\x52\x44\x53\x10\x80\xe0\xaa\xc2\
\x4a\xfd\x2e\x31\x46\x86\x10\xf4\x7c\xd8\x6b\xc9\x60\xad\x45\x8c\
\x71\xaf\x92\xd5\x8e\x46\xe6\x26\x52\x16\x0e\x4f\x4f\x6d\xc3\xe7\
\xbe\x89\x31\x0a\x75\x81\x2b\x6f\xc9\xc9\xc9\x09\x9a\xa6\xd9\x93\
\x40\x00\xec\xd6\xeb\xf5\xdf\x6d\xdb\xde\xd2\xe8\x55\xcf\xb9\x7b\
\x35\x3d\x87\x61\xd8\x2b\xb5\xda\x1b\xd6\x2c\x12\x95\x42\xe9\x27\
\x89\xd5\x6a\x25\x5d\xd7\x71\xbd\x5e\x4b\xdf\xf7\x3d\x80\x1d\x00\
\xb1\x15\x80\x5c\x5c\x5c\x7c\xf3\xf0\xe1\xc3\xfb\xcb\xe5\xd2\x5b\
\x6b\x11\x42\x50\xf3\x4d\x9d\xf2\xd1\xd1\x11\x8d\x31\xd3\x73\xdb\
\xb6\x5c\x2c\x16\x0c\x21\x70\xb1\x58\xb0\x69\x1a\xd6\x7f\x40\xb4\
\xd6\x92\x24\x9d\x73\x28\xa5\xc0\x39\x87\x9c\x33\x56\xab\xd5\xf6\
\xc5\x8b\x17\xbf\xbe\x7b\xf7\xee\x17\x00\x7f\x69\xc7\x73\x0c\xe0\
\x5b\x00\xdf\x01\xf8\x1a\x9f\x77\x9c\x01\xf8\x0d\xc0\x1f\x22\x72\
\x39\x75\x42\x24\x3d\xae\xfe\xad\x84\xcf\x0c\x60\x00\xd0\x8b\x48\
\x04\x80\x7f\x00\x4e\x65\x9f\x3e\xbe\x00\x10\x6d\x00\x00\x00\x00\
\x49\x45\x4e\x44\xae\x42\x60\x82\
\x00\x00\x06\xb2\
\x89\
\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d\x49\x48\x44\x52\x00\
\x00\x00\x20\x00\x00\x00\x20\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\
\x00\x00\x00\x04\x73\x42\x49\x54\x08\x08\x08\x08\x7c\x08\x64\x88\
\x00\x00\x00\x09\x70\x48\x59\x73\x00\x00\x04\x9d\x00\x00\x04\x9d\
\x01\x7c\x34\x6b\xa1\x00\x00\x00\x19\x74\x45\x58\x74\x53\x6f\x66\
\x74\x77\x61\x72\x65\x00\x77\x77\x77\x2e\x69\x6e\x6b\x73\x63\x61\
\x70\x65\x2e\x6f\x72\x67\x9b\xee\x3c\x1a\x00\x00\x06\x2f\x49\x44\
\x41\x54\x58\x85\xc5\x57\x3d\x8f\x14\x49\x12\x7d\x91\x91\x59\x55\
\x5d\xfd\x31\x33\x02\xd4\x08\x0e\x07\xeb\xc6\xb9\xb1\x56\x1c\x12\
\x48\x18\x58\x20\x7e\x04\x26\x12\xee\xfd\x00\xbc\xfd\x0d\x48\xe0\
\x9d\xc0\x00\x17\x0c\x0c\xbc\x73\xce\x60\x59\x03\x67\x0c\x9c\x43\
\xac\xd4\x0b\x3d\x9a\x65\xba\xba\x2a\x3f\xe2\x8c\xc9\x28\xaa\xa7\
\xd7\x45\x9b\x52\xa9\x4b\x55\x9d\x99\x2f\x5e\xbc\x78\x19\x45\x22\
\x82\xbf\x72\x58\xbd\x21\x22\x06\x50\x0c\x9f\xfd\xa0\x11\x00\x74\
\x22\x12\x7b\x00\x44\x54\xbe\x7e\xfd\xfa\xc1\xfe\xfe\xfe\xbf\x88\
\x68\x0f\x00\x62\x8c\x62\x8c\x41\x4a\x09\xfa\x9b\x9f\xc3\x7b\x4f\
\x31\x46\x74\x5d\x47\x00\x84\x88\x08\x00\x8c\x31\x22\x22\xa4\x3b\
\x19\x63\xf4\x56\xac\xb5\x70\xce\x89\xf7\xfe\xf7\x0f\x1f\x3e\xfc\
\x4c\x44\x4f\x45\xa4\x25\x00\x04\xe0\xe2\xe1\xe1\xe1\x2f\xde\xfb\
\x19\x11\x49\xd3\x34\x22\x22\x48\x29\x49\x8c\x11\x79\x7d\x88\x08\
\x44\x04\x6d\xdb\xa2\x69\x1a\x5a\xaf\xd7\xca\xde\x46\x88\xc6\x18\
\x10\x11\x74\x6e\x59\x96\x70\xce\xc1\x5a\x2b\xd6\x5a\x58\x6b\xbf\
\x5c\xbb\x76\xed\x9f\x00\x7e\xb3\x00\x18\xc0\xa5\xd1\x68\xb4\xc7\
\xcc\xd2\xb6\xad\x58\x6b\xc5\x7b\x2f\x00\xfa\xc8\x35\x92\x18\x23\
\xa5\x94\x90\x52\x42\x8c\x91\x44\x04\x44\x04\x63\x4c\x0f\x90\x99\
\x11\x42\x80\x73\x4e\xdf\x49\x06\x49\x44\x04\xe7\xdc\x05\x00\x97\
\x00\x2c\x34\xdf\xb5\x73\xce\xc4\x18\x53\x51\x14\x48\x29\x81\x88\
\x70\x72\x72\x02\x66\x96\xae\xeb\x34\x4a\xca\xcc\x28\x00\x28\x00\
\xbd\x1f\x82\x0e\x21\xa0\xaa\x2a\x51\x80\x3a\x27\xbf\xaf\x7b\x0d\
\x28\xbd\xce\x39\x62\x66\x30\x33\x56\xab\x15\xca\xb2\x44\xdb\xb6\
\x48\x29\x09\x33\x4b\x4a\x89\xf4\xbf\xba\x58\x8c\x71\x8b\x7a\x05\
\x92\xe9\xee\xb5\xe3\x9c\x43\x08\x61\x63\x8e\xcd\x1a\x30\x92\x67\
\x59\x6b\x89\x99\x55\x5c\x49\x37\x69\xdb\x16\x44\xd4\x8b\x4c\x44\
\xfa\x68\x86\x91\x13\x11\x52\x4a\x18\x8f\xc7\x70\xce\x09\x11\xf5\
\x29\x0a\x21\xf4\x6c\x01\x30\x00\x48\x19\x20\xcd\x5f\xce\x21\x8d\
\x46\x23\xca\xd1\x88\x88\xa4\x10\x82\x78\xef\x89\x88\x24\xa5\x44\
\x0a\x40\x17\xd5\x8d\x95\x41\x66\x16\x66\x46\x8c\x11\xc6\x98\x61\
\xba\x94\x49\x52\x14\x00\x60\x06\x4a\x26\x11\x81\x31\x06\x75\x5d\
\x9b\xd9\x6c\x66\x26\x93\x89\x71\xce\x19\x00\xf4\xea\xd5\x2b\xfb\
\xf9\xf3\x67\x22\x22\xca\x82\xa4\x10\x02\x85\x10\x28\x8b\x92\xaa\
\xaa\xd2\x74\x92\xb5\x96\x44\x84\x42\x08\x10\x11\x8a\x31\x9a\x0c\
\xc0\x0c\x35\x40\x59\x18\x3d\x0a\x05\x31\x1a\x8d\x8c\x31\x46\x23\
\x4e\xcf\x9f\x3f\x2f\x5f\xbc\x78\x21\xb7\x6e\xdd\x0a\x37\x6f\xde\
\x8c\xde\xfb\xbe\x0c\x73\xc9\x49\x59\x96\x30\xc6\x88\xa6\x27\xfb\
\x04\x29\x43\x39\x65\xb4\x21\x42\xdd\x54\xaf\x61\x6d\x57\x55\x45\
\xe7\xcf\x9f\x67\x11\x51\x61\xd1\xdb\xb7\x6f\xdd\xfb\xf7\xef\xf9\
\xee\xdd\xbb\x7e\x3e\x9f\x8b\x88\x60\x32\x99\x48\x55\x55\x6a\x48\
\xbd\x3e\x54\x9c\xcc\x0c\x63\x0c\x59\x6b\xbf\x9b\xd5\xf0\x77\x18\
\xc9\x30\x1d\x00\x50\x14\x05\xcd\xe7\x73\xcb\xcc\x70\xce\xa1\xae\
\x6b\x34\x4d\x63\x9e\x3d\x7b\x56\xbc\x79\xf3\xc6\x16\x45\x81\xe9\
\x74\x0a\x6b\xad\x68\x99\xa6\x94\xc8\x5a\x4b\xce\x39\xaa\xaa\x8a\
\xaa\xaa\x32\x75\x5d\x53\x59\x96\x7d\x0a\xcc\x70\xa3\xe1\xa5\x8c\
\xa8\xc0\x06\xd1\xf7\x57\x06\x42\x87\x87\x87\xf6\xc9\x93\x27\xc5\
\xa7\x4f\x9f\x48\x45\x5c\x96\xa5\x99\xcd\x66\x34\x9b\xcd\xcc\xee\
\xee\xae\xd9\xdd\xdd\x35\xb3\xd9\x8c\xa6\xd3\xa9\x99\x4c\x26\xbd\
\x08\x87\x55\x40\xba\x49\x06\xd1\x97\x9b\xd2\x98\xcb\xb4\xaf\x6d\
\x1d\xd6\x5a\x78\xef\xcd\xe3\xc7\x8f\xab\xeb\xd7\xaf\xc7\x07\x0f\
\x1e\xa4\xd1\x68\x04\x66\x26\xe7\x5c\x26\x95\x94\x59\x31\xc6\x6c\
\x01\xf8\x7e\x6a\x7c\x17\xcd\x96\x36\x34\x8f\x79\xd1\xad\x51\x14\
\x05\xde\xbd\x7b\xc7\x8f\x1e\x3d\x32\x4f\x9f\x3e\x55\xfb\xed\xb5\
\x10\x42\x18\x1e\x56\xdb\x55\xc0\xcc\x1b\x0b\x6a\x6d\x0f\xad\xf6\
\xcf\x18\x38\x3b\xae\x5e\xbd\x0a\x66\xee\x2d\x59\x05\xa9\x23\x1b\
\x51\xcf\x00\x01\x40\xd7\x75\x02\x80\xb2\x67\x27\x00\x14\x42\x90\
\x94\x12\xba\xae\x93\xf5\x7a\x2d\xc7\xc7\xc7\xe2\x9c\x2b\xff\x8c\
\x01\x11\x41\x51\x14\xb8\x7f\xff\xbe\xdc\xb9\x73\x47\x86\x0e\x99\
\x59\x90\xa1\x7b\x6a\x8c\x3d\x03\xdf\xbe\x7d\x13\xef\xbd\x64\xaa\
\x10\x42\x48\xeb\xf5\x1a\xde\x7b\x69\x9a\x46\xbc\xf7\xe8\xba\x4e\
\x98\x79\x8b\x01\xef\x3d\x0e\x0e\x0e\xe4\xe1\xc3\x87\x72\xe1\xc2\
\x85\x0d\x7b\x1e\xda\xf5\xb0\x34\x71\x46\x03\xbc\x58\x2c\x90\x52\
\x92\x10\x02\xba\xae\x43\x8c\x51\x37\x45\x4a\x09\x21\x04\x9c\x9c\
\x9c\x98\x21\x00\xdd\xe4\xf6\xed\xdb\x61\x7f\x7f\x3f\xb6\x6d\xcb\
\x31\x46\xa3\x55\xa3\x9b\xe5\x5f\x8a\x31\xca\xa0\xca\x78\x43\x03\
\x47\x47\x47\x49\x27\xb4\x6d\x8b\xe1\x9f\xbd\xf7\xd4\x34\x4d\x7f\
\xa2\x39\xe7\xd0\xb6\x2d\x2e\x5f\xbe\x9c\x0e\x0e\x0e\xe2\x6c\x36\
\x8b\x5f\xbf\x7e\x45\x4a\x29\x85\x10\x70\xf1\xe2\x45\x73\x16\xe4\
\xb0\xc4\xcf\x6a\x00\x00\xb0\x5a\xad\xa0\x29\xc8\xe2\x23\x11\xc1\
\x6a\xb5\x42\xf6\x71\x18\x63\x54\x84\x72\xe3\xc6\x8d\xe8\xbd\x4f\
\x47\x47\x47\xa8\xaa\x0a\xcc\x8c\xe5\x72\x99\x34\x25\xf3\xf9\x9c\
\xca\xb2\xa4\xb3\xd4\x9f\xd1\xc0\xf7\x32\x5c\xad\x56\x50\xcf\xd7\
\xb3\x7e\xbd\x5e\x6f\x18\x53\x55\x55\xb8\x77\xef\x9e\xaf\xeb\x5a\
\xbe\x7c\xf9\x22\xeb\xf5\x9a\x88\x08\x6d\xdb\x52\x59\x96\x92\x52\
\xc2\x72\xb9\xd4\x63\xdc\x9c\x3b\x77\x0e\x75\x5d\x6f\x81\xc8\x00\
\x36\xca\xd0\x64\xe4\x02\x80\x72\x0a\xfa\xa3\x34\xa5\x84\xb2\x2c\
\x81\x53\x13\x89\x4d\xd3\xa0\x6d\x5b\x3d\xc0\xd0\x75\x5d\xef\x0d\
\x31\x46\x59\x2e\x97\x00\x90\x42\x08\x66\x6f\x6f\x0f\xe3\xf1\x98\
\x52\x4a\x43\x8b\xde\x02\x00\x3d\x4e\x73\x05\x6c\x9c\xf1\x99\x7a\
\x51\xb7\xd4\x7e\x50\x8d\x26\xcf\x3d\x15\x53\x6e\xe5\x72\xde\xc5\
\x7b\x8f\x9d\x9d\x1d\x4c\xa7\x53\xd2\x72\x0c\x21\x6c\xa5\x80\xbc\
\xf7\xf0\xde\x23\x84\xd0\x77\x2f\x03\xe3\xd1\x86\x49\x2b\x42\xcf\
\xf7\x9e\x81\x10\xc2\xf0\xa8\x55\x10\x92\x45\x8c\xae\xeb\x30\x1e\
\x8f\x87\xad\xfa\x86\x11\x99\xa6\x69\xfa\x97\xca\x80\x31\xa6\x7f\
\x36\x6c\x3a\x73\x99\xf6\xea\xce\x9d\x11\xa5\x94\x44\xbb\x63\x00\
\x82\x53\x87\x95\xfc\x5e\xbc\xf7\x54\x96\xa5\x9e\x0f\x1b\x2d\x19\
\x98\x19\xde\xfb\x8d\xc6\x92\x99\xb5\x0f\xdc\xb0\xd3\xb3\x2e\xa7\
\xe6\xe5\x9c\xdb\xd0\x8d\xf7\x5e\x48\x17\x38\xd5\x96\xec\xec\xec\
\xa0\xaa\xaa\x8d\x14\x08\x80\xf5\x72\xb9\xfc\x63\x3c\x1e\x4f\x35\
\x7a\xcd\xe7\x50\xbd\x5a\x9e\x6d\xdb\x6e\x54\x87\xf6\x86\xb9\x8a\
\x44\x53\xa1\xf4\x13\x11\x16\x8b\x85\xec\xed\xed\xd1\x72\xb9\x94\
\xd5\x6a\xb5\x02\xb0\x06\x20\x9c\x01\xc8\xf1\xf1\xf1\xdf\xaf\x5c\
\xb9\x72\xa9\xae\x6b\xc7\xcc\xc8\x6d\x55\xdf\x01\x31\x33\x15\x45\
\x41\xc6\x98\xfe\x7e\x3c\x1e\xd3\x68\x34\xa2\xb2\x2c\x69\x34\x1a\
\x51\x55\x55\x94\xbf\x80\x88\x99\x89\x88\xc8\x5a\x8b\x94\x12\xac\
\xb5\x88\x31\x62\xb1\x58\x34\x2f\x5f\xbe\xfc\xcf\xc7\x8f\x1f\xff\
\x0d\xe0\x77\xfd\xb2\x99\x00\xf8\x07\x80\x9f\x00\xfc\x0d\x3f\x76\
\xfc\x0f\xc0\x7f\x01\xfc\x2a\x22\xdf\xfa\x96\x8b\x88\x1c\x4e\xbf\
\x56\xca\x1f\x0c\xa0\x05\xb0\x12\x11\x0f\x00\xff\x07\x09\x79\x14\
\xc3\xab\x8c\x80\xb2\x00\x00\x00\x00\x49\x45\x4e\x44\xae\x42\x60\
\x82\
"

qt_resource_name = "\
\x00\x05\
\x00\x6f\xa6\x53\
\x00\x69\
\x00\x63\x00\x6f\x00\x6e\x00\x73\
\x00\x0e\
\x0a\xb5\x05\xe7\
\x00\x65\
\x00\x64\x00\x69\x00\x74\x00\x64\x00\x65\x00\x6c\x00\x65\x00\x74\x00\x65\x00\x2e\x00\x70\x00\x6e\x00\x67\
\x00\x13\
\x03\xf9\xd7\xc7\
\x00\x67\
\x00\x74\x00\x6b\x00\x2d\x00\x6d\x00\x65\x00\x64\x00\x69\x00\x61\x00\x2d\x00\x70\x00\x61\x00\x75\x00\x73\x00\x65\x00\x2e\x00\x70\
\x00\x6e\x00\x67\
\x00\x07\
\x07\xa7\x57\x87\
\x00\x61\
\x00\x64\x00\x64\x00\x2e\x00\x70\x00\x6e\x00\x67\
\x00\x14\
\x01\x55\x2b\xa7\
\x00\x73\
\x00\x74\x00\x6f\x00\x63\x00\x6b\x00\x5f\x00\x6d\x00\x65\x00\x64\x00\x69\x00\x61\x00\x2d\x00\x73\x00\x74\x00\x6f\x00\x70\x00\x2e\
\x00\x70\x00\x6e\x00\x67\
\x00\x18\
\x0f\xa4\x86\x47\
\x00\x6d\
\x00\x65\x00\x64\x00\x69\x00\x61\x00\x2d\x00\x70\x00\x6c\x00\x61\x00\x79\x00\x62\x00\x61\x00\x63\x00\x6b\x00\x2d\x00\x73\x00\x74\
\x00\x61\x00\x72\x00\x74\x00\x2e\x00\x70\x00\x6e\x00\x67\
"

qt_resource_struct = "\
\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x00\x01\
\x00\x00\x00\x00\x00\x02\x00\x00\x00\x05\x00\x00\x00\x02\
\x00\x00\x00\x72\x00\x00\x00\x00\x00\x01\x00\x00\x0e\x0f\
\x00\x00\x00\x32\x00\x00\x00\x00\x00\x01\x00\x00\x04\x8e\
\x00\x00\x00\x5e\x00\x00\x00\x00\x00\x01\x00\x00\x0b\x05\
\x00\x00\x00\x10\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\
\x00\x00\x00\xa0\x00\x00\x00\x00\x00\x01\x00\x00\x13\xfc\
"

def qInitResources():
    QtCore.qRegisterResourceData(0x01, qt_resource_struct, qt_resource_name, qt_resource_data)

def qCleanupResources():
    QtCore.qUnregisterResourceData(0x01, qt_resource_struct, qt_resource_name, qt_resource_data)

qInitResources()

if __name__ == "__main__":
    import sys
    app = QApplication(sys.argv)
    MainWindow = QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
